package com.qmth.cqb.genpaper.model;

import com.qmth.cqb.base.model.Course;
import com.qmth.cqb.base.model.User;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;

import java.io.Serializable;
import java.util.List;

/**
 * 生成试卷实体类
 * Created by songyue on 16/12/27.
 */
public class GenPaper implements Serializable{
    private static final long serialVersionUID = 423546337699869114L;

    @Id
    private String id;

    private String paperNo;//试卷编号

    private String paperName;//试卷名称

    private String createTime;//创建时间

    private String updateTime;//更新时间

    private GenPaperRule genPaperRule;//组卷规则

    private List<GenPaperResource> genPaperResource;//试卷资源库(试卷、答案、网评卷)

    @DBRef
    private List<GenPaperDetail> genPaperDetails;//试卷明细

    @DBRef
    private Course course;//课程信息

    @DBRef
    private User user;//用户信息

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPaperNo() {
        return paperNo;
    }

    public void setPaperNo(String paperNo) {
        this.paperNo = paperNo;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public GenPaperRule getGenPaperRule() {
        return genPaperRule;
    }

    public void setGenPaperRule(GenPaperRule genPaperRule) {
        this.genPaperRule = genPaperRule;
    }

    public List<GenPaperDetail> getGenPaperDetails() {
        return genPaperDetails;
    }

    public void setGenPaperDetails(List<GenPaperDetail> genPaperDetails) {
        this.genPaperDetails = genPaperDetails;
    }

    public Course getCourse() {
        return course;
    }

    public void setCourse(Course course) {
        this.course = course;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public List<GenPaperResource> getGenPaperResource() {
        return genPaperResource;
    }

    public void setGenPaperResource(List<GenPaperResource> genPaperResource) {
        this.genPaperResource = genPaperResource;
    }

    public GenPaper() {
    }
}
