package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Map;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * @author songyue
 *
 */
public class Paper implements Serializable { 
	
	private static final long serialVersionUID = 5259364047220441490L;

	@Id
    private String id;

    @Indexed(unique = true)
    private String name;//试卷名称
    
    private String title;//试卷标题
    
    private double totalScore;//试卷总分
    
    private int paperDetailCount;//大题数量
    
    //private String corusecode;//课程代码
    
    //private String groupCode;//试卷类型
    
    private String creatorId;//创建人id
     
    private String createTime;//创建时间

    private String word;//原始试卷word

    private String html;//原始试卷html

    private Map<String,String> params;//导入试卷属性

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(double totalScore) {
		this.totalScore = totalScore;
	}
	

	public int getPaperDetailCount() {
		return paperDetailCount;
	}

	public void setPaperDetailCount(int paperDetailCount) {
		this.paperDetailCount = paperDetailCount;
	}

	public String getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

	public String getCreateTime() {
		return createTime;
	}

//	public String getCorusecode() {
//		return corusecode;
//	}
//
//	public void setCorusecode(String corusecode) {
//		this.corusecode = corusecode;
//	}
//	
//	public String getGroupCode() {
//		return groupCode;
//	}
//
//	public void setGroupCode(String groupCode) {
//		this.groupCode = groupCode;
//	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getWord() {
		return word;
	}

	public void setWord(String word) {
		this.word = word;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

	public Map<String, String> getParams() {
		return params;
	}

	public void setParams(Map<String, String> params) {
		this.params = params;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
    
	public Paper() {
    }
    
}
