package com.qmth.cqb.paper.model;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;

import com.qmth.cqb.question.model.Question;
import com.qmth.cqb.question.model.QuestionType;

public class PaperDetailUnit implements Serializable{

	private static final long serialVersionUID = -8854150484922002075L;
	
	@Id
	private String id;
	
	@DBRef
	private Paper paper;//关联的试卷
	
	private int number;//小题序号
	
	private double score;//小题分数
	
	@DBRef
	private PaperDetail paperDeation;//关联的大题
	
	@DBRef
	private QuestionType questionType;//小题类型
	
	@DBRef
	private Question question;//关联试题

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Paper getPaper() {
		return paper;
	}

	public void setPaper(Paper paper) {
		this.paper = paper;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public PaperDetail getPaperDeation() {
		return paperDeation;
	}

	public void setPaperDeation(PaperDetail paperDeation) {
		this.paperDeation = paperDeation;
	}

	public QuestionType getQuesStructType() {
		return questionType;
	}

	public void setQuesStructType(QuestionType questionType) {
		this.questionType = questionType;
	}

	public Question getQuestion() {
		return question;
	}

	public void setQuestion(Question question) {
		this.question = question;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
	
	

}
