package com.qmth.cqb.paper.service;

import java.util.Collection;
import java.util.Collections;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.ExamPaperRepo;
import com.qmth.cqb.paper.dao.ExtractConfigRepo;
import com.qmth.cqb.paper.dao.PaperRepo;
import com.qmth.cqb.paper.model.ExamPaper;
import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.paper.model.Paper;

@Service
public class ExtractService {
	
	@Autowired
	ExamPaperRepo examPaperRepo;
	
	@Autowired
	PaperRepo paperRepo;
	
	@Autowired 
	ExtractConfigRepo extractConfigRepo;
	
//	public Paper extrcatExamPaper(long examId,String courseCode,String groupCode){
//     	ExamPaper examPaper = new ExamPaper();
//    	examPaper.setExamId(examId);
//    	examPaper.setCourseCode(courseCode);
//    	examPaper.setGroupCode(groupCode);
//        ExamPaper examPaper2 = examPaperRepo.findOne(Example.of(examPaper));
//        Paper paper = paperRepo.findOne(examPaper2.getPaperId());
//		return paper;		
//	}
	/**
	 * 随机抽一张试卷
	 * @param papers
	 * @return
	 */
	public Paper randomPaper(List<Paper> papers){
	    Collections.shuffle(papers);
		Paper paper = papers.get(0);
		return paper;
	}
	
	
	public ExtractConfig findConfig(long examId,String courseCode){
		ExtractConfig tempConfig = new ExtractConfig();
		tempConfig.setExamId(examId);
		tempConfig.setCourseCode(courseCode);
		ExtractConfig config =  extractConfigRepo.findOne(Example.of(tempConfig));
		return config;
	}
	
}
