package com.qmth.cqb.paper.web;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.cqb.paper.model.PaperDetailStructure;
import com.qmth.cqb.paper.model.PaperStructure;
import com.qmth.cqb.paper.service.PaperDetailStructureService;
import com.qmth.cqb.paper.service.PaperStructureService;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class PaperStructureController {
	
	@Autowired
    PaperStructureService paperStructureService;
	
	@Autowired
    PaperDetailStructureService detailService;
	
    /**
     * 根据id获取试卷结构
     * @param 
     * @return
     */
    @GetMapping(value = "/paperStructure/{paper_id}")
    public PaperStructure getPaperStructureById(@PathVariable String paper_id){
        return paperStructureService.findById(paper_id);
    }
    
    /**
     * 获取试卷结构下面的详情信息
     * @param paper_id
     * @return
     */
    @GetMapping(value = "/paperStructure/detail/{paper_id}")
    public List<PaperDetailStructure> getQuesPaperById(@PathVariable String paper_id){
    	return detailService.getDetailsByPaperStructure(paperStructureService.findById(paper_id));
    }


    /**
     * 更新导入试卷信息
     * @param 
     * @return
     */
    @PutMapping(value = "/paperStructure")
    public ResponseEntity updatePaperStructure(@ModelAttribute PaperStructure ps){
    	PaperStructure temp = paperStructureService.savePaperStructure(ps);
    	ResponseEntity rse = new ResponseEntity(temp,HttpStatus.OK);
    	return rse;
    	
    }

    /**
     * 新增导入试卷
     * @param paper
     * @return
     */
    @PostMapping(value = "/paperStructure")
    public ResponseEntity addPaperStructure(@ModelAttribute PaperStructure ps){
    	PaperStructure temp = paperStructureService.savePaperStructure(ps);
    	ResponseEntity rse = new ResponseEntity(temp,HttpStatus.OK);
    	return rse;
    }

    /**
     * 删除导入试卷
     * @param paper_id
     * @return
     */
    @DeleteMapping(value = "/paperStructure/{paper_id}")
    public ResponseEntity removePaperStructure(@PathVariable String paper_id){
    	paperStructureService.deletePaperStructure(paper_id);
    	ResponseEntity res = new ResponseEntity(paper_id,HttpStatus.OK);
		return res;
    }
}
