package com.qmth.cqb.question.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Created by songyue on 16/12/27.
 */
public class Question implements Serializable{
    private static final long serialVersionUID = -493414992043982866L;
    @Id
    private String id;

    @Indexed(unique = true)

    private String quesBody;//题干,默认为html

    private byte[] quesBodyWord;//题干word

    private String quesAnswer;//答案,默认为html

    private byte[] quesAnswerWord;//答案word

    private String quesAnswerAnalysis;//答案解析,默认为html

    private byte[] quesAnswerAnalysisWord;//答案word解析

    private List<QuesOption> quesOptions;//试题选项

    private List<QuesResource> quesResource;//试题resource(试题资源库集合,适用于多媒体介质试题)

    @DBRef
    private QuestionType questionType;//试题结构类型

    private String createTime;//创建时间

    private String updateTime;//更新时间

    private List<Question> subQuestion;//子题目,用于套题

    private Map<String,String> quesParams;//试题属性

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getQuesBody() {
        return quesBody;
    }

    public void setQuesBody(String quesBody) {
        this.quesBody = quesBody;
    }

    public byte[] getQuesBodyWord() {
        return quesBodyWord;
    }

    public void setQuesBodyWord(byte[] quesBodyWord) {
        this.quesBodyWord = quesBodyWord;
    }

    public String getQuesAnswer() {
        return quesAnswer;
    }

    public void setQuesAnswer(String quesAnswer) {
        this.quesAnswer = quesAnswer;
    }

    public byte[] getQuesAnswerWord() {
        return quesAnswerWord;
    }

    public void setQuesAnswerWord(byte[] quesAnswerWord) {
        this.quesAnswerWord = quesAnswerWord;
    }

    public List<QuesOption> getQuesOptions() {
        return quesOptions;
    }

    public void setQuesOptions(List<QuesOption> quesOptions) {
        this.quesOptions = quesOptions;
    }

    public List<QuesResource> getQuesResource() {
        return quesResource;
    }

    public void setQuesResource(List<QuesResource> quesResource) {
        this.quesResource = quesResource;
    }

    public List<Question> getSubQuestion() {
        return subQuestion;
    }

    public void setSubQuestion(List<Question> subQuestion) {
        this.subQuestion = subQuestion;
    }

    public Map<String, String> getQuesParams() {
        return quesParams;
    }

    public void setQuesParams(Map<String, String> quesParams) {
        this.quesParams = quesParams;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getQuesAnswerAnalysis() {
        return quesAnswerAnalysis;
    }

    public void setQuesAnswerAnalysis(String quesAnswerAnalysis) {
        this.quesAnswerAnalysis = quesAnswerAnalysis;
    }

    public byte[] getQuesAnswerAnalysisWord() {
        return quesAnswerAnalysisWord;
    }

    public void setQuesAnswerAnalysisWord(byte[] quesAnswerAnalysisWord) {
        this.quesAnswerAnalysisWord = quesAnswerAnalysisWord;
    }

    public QuestionType getQuesStructType() {
        return questionType;
    }

    public void setQuesStructType(QuestionType questionType) {
        this.questionType = questionType;
    }
}
